'class for Chinese Food menu item

'*********************************************************************
'Don't forget to build the class      IMPORTANT!!
'*********************************************************************

Public Class clsChineseFood

    'the attributesof the class are made "private" 
    'then you make "public" access to them later 
    Private aFoodName As String
    Private aFoodCategory As String
    Private aFooddescription As String
    Private aFoodPrice As Double
    Private aFoodFilename As String
    Private aFoodPortionSize As Integer

    Private FORTWOMULTIPLIER As Double = 1.8
    Private FAMILYMULTIPLIER As Double = 3.4

    'default constructor         'no arguments/parameters (empty parentheses)
    'also a trivial constructor  'no code
    Sub New()

    End Sub

    '*****************************************************************
    'get and set for name of the food
    Public Property FoodName() As String
        Get
            'asking 
            Return aFoodName
        End Get
        Set(ByVal value As String)
            'telling 
            aFoodName = value
        End Set
    End Property

    '*****************************************************************
    'get and set for category of the food
    Public Property FoodCategory() As String
        Get
            'asking 
            Return aFoodCategory
        End Get
        Set(ByVal value As String)
            'telling 
            aFoodCategory = value
        End Set
    End Property

    '*****************************************************************
    'get and set for description of the food
    Public Property FoodDescription() As String
        Get
            'asking 
            Return aFooddescription
        End Get
        Set(ByVal value As String)
            'telling 
            aFooddescription = value
        End Set
    End Property

    '*****************************************************************
    'get and set for file name of the image file for the food
    Public Property FoodFileName() As String
        Get
            'asking 
            Return aFoodFilename
        End Get
        Set(ByVal value As String)
            'telling 
            aFoodFilename = value
        End Set
    End Property

    '*****************************************************************
    'get and set for price of the food -- doesn't allow negative numbers
    Public Property FoodPrice() As Double
        Get
            Return aFoodPrice
        End Get
        Set(ByVal value As Double)
            If value > 0 Then
                aFoodPrice = value
            Else
                aFoodPrice = 0
            End If
        End Set
    End Property

    '*****************************************************************
    'get and set for portion size of the food 
    'allowed values: 1 (for one), 2 (for two), and 3 (family)
    Public Property FoodPortionSize() As Integer
        Get
            Return aFoodPortionSize
        End Get
        Set(ByVal value As Integer)
            Select Case value
                Case 1
                    'forOne
                    aFoodPortionSize = 1
                Case 2
                    'forTwo
                    aFoodPortionSize = 2
                Case 3
                    'Family
                    aFoodPortionSize = 3
                Case Else
                    aFoodPortionSize = 1
            End Select
        End Set
    End Property

    '**************************************************************
    'public method returns words corresponding to portion size number
    Public Function ConvertPortionToString() As String
        Select Case aFoodPortionSize
            Case 1
                Return "For one"
            Case 2
                Return "For two"
            Case 3
                Return "Family"
            Case Else
                Return "For one"
        End Select
    End Function

    '***************************************************************
    'public method returns the price of the food based on portion size ordered
    Public Function GetPortionPrice() As Double
        Select Case aFoodPortionSize
            Case 1
                Return aFoodPrice
            Case 2
                Return aFoodPrice * FORTWOMULTIPLIER
            Case 3
                Return aFoodPrice * FAMILYMULTIPLIER
            Case Else
                Return aFoodPrice
        End Select
    End Function

End Class

'*********************************************************************
'Don't forget to build the class      IMPORTANT!!
'*********************************************************************